gi-gdkx11-3.0.2: GdkX11 bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.GdkX11.Objects.X11DeviceCore

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype X11DeviceCore = X11DeviceCore (ManagedPtr X11DeviceCore)
- class GObject o => IsX11DeviceCore o
- toX11DeviceCore :: (MonadIO m, IsX11DeviceCore o) => o -> m X11DeviceCore
- noX11DeviceCore :: Maybe X11DeviceCore

# Exported types

newtype X11DeviceCore Source #

Memory-managed wrapper type.

Constructors

X11DeviceCore (ManagedPtr X11DeviceCore) |

Instances

GObject X11DeviceCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore Methods gobjectType :: X11DeviceCore -> IO GType Source #
IsDevice X11DeviceCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore
IsObject X11DeviceCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore
IsX11DeviceCore X11DeviceCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore

class GObject o => IsX11DeviceCore o Source #

Type class for types which can be safely cast to `X11DeviceCore`, for instance with `toX11DeviceCore`.

Instances

(GObject a, (UnknownAncestorError X11DeviceCore a :: Constraint)) => IsX11DeviceCore a Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore
IsX11DeviceCore X11DeviceCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore

toX11DeviceCore :: (MonadIO m, IsX11DeviceCore o) => o -> m X11DeviceCore Source #

Cast to `X11DeviceCore`, for types for which this is known to be safe. For general casts, use `castTo`.

noX11DeviceCore :: Maybe X11DeviceCore Source #

A convenience alias for `Nothing` :: `Maybe` `X11DeviceCore`.